COMPILER = gcc
CFLAGS = -Wall \
         -ansi \
         -pedantic
OUTPUT = program

OBJS = main.o module.o

# Règle principale
$(OUTPUT): $(OBJS) 
	$(COMPILER) $(CFLAGS) -o $(OUTPUT) $(OBJS) 

main.o: main.c
	$(COMPILER) $(CFLAGS) -c main.c -o main.o

module.o: module.c
	$(COMPILER) $(CFLAGS) -c module.c -o module.o

clean:
	rm -f $(OUTPUT) $(OBJS)

